SM0 She11
Path:
/
/
usr
/
libexec
/
git-core
Full Path (server): /usr/libexec/git-core
Create Fil3
Upl04d Fil3
📄 git
[E]
[D]
[R]
📄 git-add
[E]
[D]
[R]
📄 git-add--interactive
[E]
[D]
[R]
📄 git-am
[E]
[D]
[R]
📄 git-annotate
[E]
[D]
[R]
📄 git-apply
[E]
[D]
[R]
📄 git-archive
[E]
[D]
[R]
📄 git-bisect
[E]
[D]
[R]
📄 git-bisect--helper
[E]
[D]
[R]
📄 git-blame
[E]
[D]
[R]
📄 git-branch
[E]
[D]
[R]
📄 git-bundle
[E]
[D]
[R]
📄 git-cat-file
[E]
[D]
[R]
📄 git-check-attr
[E]
[D]
[R]
📄 git-check-ignore
[E]
[D]
[R]
📄 git-check-ref-format
[E]
[D]
[R]
📄 git-checkout
[E]
[D]
[R]
📄 git-checkout-index
[E]
[D]
[R]
📄 git-cherry
[E]
[D]
[R]
📄 git-cherry-pick
[E]
[D]
[R]
📄 git-clean
[E]
[D]
[R]
📄 git-clone
[E]
[D]
[R]
📄 git-column
[E]
[D]
[R]
📄 git-commit
[E]
[D]
[R]
📄 git-commit-tree
[E]
[D]
[R]
📄 git-config
[E]
[D]
[R]
📄 git-count-objects
[E]
[D]
[R]
📄 git-credential
[E]
[D]
[R]
📄 git-credential-cache
[E]
[D]
[R]
📄 git-credential-cache--daemon
[E]
[D]
[R]
📄 git-credential-store
[E]
[D]
[R]
📄 git-describe
[E]
[D]
[R]
📄 git-diff
[E]
[D]
[R]
📄 git-diff-files
[E]
[D]
[R]
📄 git-diff-index
[E]
[D]
[R]
📄 git-diff-tree
[E]
[D]
[R]
📄 git-difftool
[E]
[D]
[R]
📄 git-difftool--helper
[E]
[D]
[R]
📄 git-fast-export
[E]
[D]
[R]
📄 git-fast-import
[E]
[D]
[R]
📄 git-fetch
[E]
[D]
[R]
📄 git-fetch-pack
[E]
[D]
[R]
📄 git-filter-branch
[E]
[D]
[R]
📄 git-fmt-merge-msg
[E]
[D]
[R]
📄 git-for-each-ref
[E]
[D]
[R]
📄 git-format-patch
[E]
[D]
[R]
📄 git-fsck
[E]
[D]
[R]
📄 git-fsck-objects
[E]
[D]
[R]
📄 git-gc
[E]
[D]
[R]
📄 git-get-tar-commit-id
[E]
[D]
[R]
📄 git-grep
[E]
[D]
[R]
📄 git-hash-object
[E]
[D]
[R]
📄 git-help
[E]
[D]
[R]
📄 git-http-backend
[E]
[D]
[R]
📄 git-http-fetch
[E]
[D]
[R]
📄 git-http-push
[E]
[D]
[R]
📄 git-imap-send
[E]
[D]
[R]
📄 git-index-pack
[E]
[D]
[R]
📄 git-init
[E]
[D]
[R]
📄 git-init-db
[E]
[D]
[R]
📄 git-log
[E]
[D]
[R]
📄 git-lost-found
[E]
[D]
[R]
📄 git-ls-files
[E]
[D]
[R]
📄 git-ls-remote
[E]
[D]
[R]
📄 git-ls-tree
[E]
[D]
[R]
📄 git-mailinfo
[E]
[D]
[R]
📄 git-mailsplit
[E]
[D]
[R]
📄 git-merge
[E]
[D]
[R]
📄 git-merge-base
[E]
[D]
[R]
📄 git-merge-file
[E]
[D]
[R]
📄 git-merge-index
[E]
[D]
[R]
📄 git-merge-octopus
[E]
[D]
[R]
📄 git-merge-one-file
[E]
[D]
[R]
📄 git-merge-ours
[E]
[D]
[R]
📄 git-merge-recursive
[E]
[D]
[R]
📄 git-merge-resolve
[E]
[D]
[R]
📄 git-merge-subtree
[E]
[D]
[R]
📄 git-merge-tree
[E]
[D]
[R]
📄 git-mergetool
[E]
[D]
[R]
📄 git-mergetool--lib
[E]
[D]
[R]
📄 git-mktag
[E]
[D]
[R]
📄 git-mktree
[E]
[D]
[R]
📄 git-mv
[E]
[D]
[R]
📄 git-name-rev
[E]
[D]
[R]
📄 git-notes
[E]
[D]
[R]
📄 git-pack-objects
[E]
[D]
[R]
📄 git-pack-redundant
[E]
[D]
[R]
📄 git-pack-refs
[E]
[D]
[R]
📄 git-parse-remote
[E]
[D]
[R]
📄 git-patch-id
[E]
[D]
[R]
📄 git-peek-remote
[E]
[D]
[R]
📄 git-prune
[E]
[D]
[R]
📄 git-prune-packed
[E]
[D]
[R]
📄 git-pull
[E]
[D]
[R]
📄 git-push
[E]
[D]
[R]
📄 git-quiltimport
[E]
[D]
[R]
📄 git-read-tree
[E]
[D]
[R]
📄 git-rebase
[E]
[D]
[R]
📄 git-rebase--am
[E]
[D]
[R]
📄 git-rebase--interactive
[E]
[D]
[R]
📄 git-rebase--merge
[E]
[D]
[R]
📄 git-receive-pack
[E]
[D]
[R]
📄 git-reflog
[E]
[D]
[R]
📄 git-relink
[E]
[D]
[R]
📄 git-remote
[E]
[D]
[R]
📄 git-remote-ext
[E]
[D]
[R]
📄 git-remote-fd
[E]
[D]
[R]
📄 git-remote-ftp
[E]
[D]
[R]
📄 git-remote-ftps
[E]
[D]
[R]
📄 git-remote-http
[E]
[D]
[R]
📄 git-remote-https
[E]
[D]
[R]
📄 git-remote-testpy
[E]
[D]
[R]
📄 git-repack
[E]
[D]
[R]
📄 git-replace
[E]
[D]
[R]
📄 git-repo-config
[E]
[D]
[R]
📄 git-request-pull
[E]
[D]
[R]
📄 git-rerere
[E]
[D]
[R]
📄 git-reset
[E]
[D]
[R]
📄 git-rev-list
[E]
[D]
[R]
📄 git-rev-parse
[E]
[D]
[R]
📄 git-revert
[E]
[D]
[R]
📄 git-rm
[E]
[D]
[R]
📄 git-send-pack
[E]
[D]
[R]
📄 git-sh-i18n
[E]
[D]
[R]
📄 git-sh-i18n--envsubst
[E]
[D]
[R]
📄 git-sh-setup
[E]
[D]
[R]
📄 git-shell
[E]
[D]
[R]
📄 git-shortlog
[E]
[D]
[R]
📄 git-show
[E]
[D]
[R]
📄 git-show-branch
[E]
[D]
[R]
📄 git-show-index
[E]
[D]
[R]
📄 git-show-ref
[E]
[D]
[R]
📄 git-stage
[E]
[D]
[R]
📄 git-stash
[E]
[D]
[R]
📄 git-status
[E]
[D]
[R]
📄 git-stripspace
[E]
[D]
[R]
📄 git-submodule
[E]
[D]
[R]
📄 git-submodule--helper
[E]
[D]
[R]
📄 git-subtree
[E]
[D]
[R]
📄 git-symbolic-ref
[E]
[D]
[R]
📄 git-tag
[E]
[D]
[R]
📄 git-tar-tree
[E]
[D]
[R]
📄 git-unpack-file
[E]
[D]
[R]
📄 git-unpack-objects
[E]
[D]
[R]
📄 git-update-index
[E]
[D]
[R]
📄 git-update-ref
[E]
[D]
[R]
📄 git-update-server-info
[E]
[D]
[R]
📄 git-upload-archive
[E]
[D]
[R]
📄 git-upload-pack
[E]
[D]
[R]
📄 git-var
[E]
[D]
[R]
📄 git-verify-pack
[E]
[D]
[R]
📄 git-verify-tag
[E]
[D]
[R]
📄 git-web--browse
[E]
[D]
[R]
📄 git-whatchanged
[E]
[D]
[R]
📄 git-write-tree
[E]
[D]
[R]
📁 mergetools
Open
[D]
[R]
Editing: git-repack
#!/bin/sh # # Copyright (c) 2005 Linus Torvalds # OPTIONS_KEEPDASHDASH= OPTIONS_SPEC="\ git repack [options] -- a pack everything in a single pack A same as -a, and turn unreachable objects loose d remove redundant packs, and run git-prune-packed f pass --no-reuse-delta to git-pack-objects F pass --no-reuse-object to git-pack-objects n do not run git-update-server-info q,quiet be quiet l pass --local to git-pack-objects unpack-unreachable= with -A, do not loosen objects older than this Packing constraints window= size of the window used for delta compression window-memory= same as the above, but limit memory size instead of entries count depth= limits the maximum delta depth max-pack-size= maximum size of each packfile " SUBDIRECTORY_OK='Yes' . git-sh-setup no_update_info= all_into_one= remove_redundant= unpack_unreachable= local= no_reuse= extra= while test $# != 0 do case "$1" in -n) no_update_info=t ;; -a) all_into_one=t ;; -A) all_into_one=t unpack_unreachable=--unpack-unreachable ;; --unpack-unreachable) unpack_unreachable="--unpack-unreachable=$2"; shift ;; -d) remove_redundant=t ;; -q) GIT_QUIET=t ;; -f) no_reuse=--no-reuse-delta ;; -F) no_reuse=--no-reuse-object ;; -l) local=--local ;; --max-pack-size|--window|--window-memory|--depth) extra="$extra $1=$2"; shift ;; --) shift; break;; *) usage ;; esac shift done case "`git config --bool repack.usedeltabaseoffset || echo true`" in true) extra="$extra --delta-base-offset" ;; esac PACKDIR="$GIT_OBJECT_DIRECTORY/pack" PACKTMP="$PACKDIR/.tmp-$$-pack" rm -f "$PACKTMP"-* trap 'rm -f "$PACKTMP"-*' 0 1 2 3 15 # There will be more repacking strategies to come... case ",$all_into_one," in ,,) args='--unpacked --incremental' ;; ,t,) args= existing= if [ -d "$PACKDIR" ]; then for e in `cd "$PACKDIR" && find . -type f -name '*.pack' \ | sed -e 's/^\.\///' -e 's/\.pack$//'` do if [ -e "$PACKDIR/$e.keep" ]; then : keep else existing="$existing $e" fi done if test -n "$existing" -a -n "$unpack_unreachable" -a \ -n "$remove_redundant" then # This may have arbitrary user arguments, so we # have to protect it against whitespace splitting # when it gets run as "pack-objects $args" later. # Fortunately, we know it's an approxidate, so we # can just use dots instead. args="$args $(echo "$unpack_unreachable" | tr ' ' .)" fi fi ;; esac mkdir -p "$PACKDIR" || exit args="$args $local ${GIT_QUIET:+-q} $no_reuse$extra" names=$(git pack-objects --keep-true-parents --honor-pack-keep --non-empty --all --reflog $args </dev/null "$PACKTMP") || exit 1 if [ -z "$names" ]; then say Nothing new to pack. fi # Ok we have prepared all new packfiles. # First see if there are packs of the same name and if so # if we can move them out of the way (this can happen if we # repacked immediately after packing fully. rollback= failed= for name in $names do for sfx in pack idx do file=pack-$name.$sfx test -f "$PACKDIR/$file" || continue rm -f "$PACKDIR/old-$file" && mv "$PACKDIR/$file" "$PACKDIR/old-$file" || { failed=t break } rollback="$rollback $file" done test -z "$failed" || break done # If renaming failed for any of them, roll the ones we have # already renamed back to their original names. if test -n "$failed" then rollback_failure= for file in $rollback do mv "$PACKDIR/old-$file" "$PACKDIR/$file" || rollback_failure="$rollback_failure $file" done if test -n "$rollback_failure" then echo >&2 "WARNING: Some packs in use have been renamed by" echo >&2 "WARNING: prefixing old- to their name, in order to" echo >&2 "WARNING: replace them with the new version of the" echo >&2 "WARNING: file. But the operation failed, and" echo >&2 "WARNING: attempt to rename them back to their" echo >&2 "WARNING: original names also failed." echo >&2 "WARNING: Please rename them in $PACKDIR manually:" for file in $rollback_failure do echo >&2 "WARNING: old-$file -> $file" done fi exit 1 fi # Now the ones with the same name are out of the way... fullbases= for name in $names do fullbases="$fullbases pack-$name" chmod a-w "$PACKTMP-$name.pack" chmod a-w "$PACKTMP-$name.idx" mv -f "$PACKTMP-$name.pack" "$PACKDIR/pack-$name.pack" && mv -f "$PACKTMP-$name.idx" "$PACKDIR/pack-$name.idx" || exit done # Remove the "old-" files for name in $names do rm -f "$PACKDIR/old-pack-$name.idx" rm -f "$PACKDIR/old-pack-$name.pack" done # End of pack replacement. if test "$remove_redundant" = t then # We know $existing are all redundant. if [ -n "$existing" ] then ( cd "$PACKDIR" && for e in $existing do case " $fullbases " in *" $e "*) ;; *) rm -f "$e.pack" "$e.idx" "$e.keep" ;; esac done ) fi git prune-packed ${GIT_QUIET:+-q} fi case "$no_update_info" in t) : ;; *) git update-server-info ;; esac
Save